Name: ca_CNRS-Projets
Version: 1.30
Release: 1
Source: ca_CNRS-Projets-1.30.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_CNRS-Projets-1.30/34a509c3.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for classic accredited authority CNRS-Projets

%if %([ -n "" ] && echo 1 || echo 0)
URL: 
%endif

%if %([ -n "ca_CNRS = 1.30" ] && echo 1 || echo 0)
Requires: ca_CNRS = 1.30
%endif

%prep
%setup -n ca_CNRS-Projets-1.30

%description
This is the trust anchor for the classic accredited authority CNRS-Projets.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr 34a509c3.* $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

